process COLLECT_BAMS {

    input:
        tuple val(sample_id), path(bam, stageAs: "input.bam")
        tuple val(sample_id), path(bam_index, stageAs: "input.bai")

    output:
        path("*.bam"), emit: staged_bam
        path("*.bai"), emit: staged_bam_index

    script:

        """ 
        mv ${bam} ${sample_id}_mkdup.bam

        mv ${bam_index} ${sample_id}_mkdup.bai

        """
}
