nextflow.enable.dsl=2

process GINKGO_DOWNLOAD {
    storeDir "${params.genome_dir}"

    input:
        each(ref_file)

    output:
        path("${params.genome_name}/ginkgo_ref/*bowtie"), emit: ginkgo_ref

    script:
        """
        mkdir -p ${params.genome_name}/ginkgo_ref
        cp ${ref_file} ${params.genome_name}/ginkgo_ref/.
        """
}
